<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

if (!$database->has('notes', ['AND' => ['noteid' => $VARS['id'], 'ownerid' => getRequestUser()->getUID()]])) {
    sendJsonResp("No such note exists or you don't have permission to read it.", "ERROR");
}

$note = Note::loadNote($VARS['id'])->toArray();


exitWithJson(["status" => "OK", "note" => $note]);