<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

$noteids = $database->select('notes', 'noteid', ['ownerid' => getRequestUser()->getUID()]);
$notes = [];
foreach ($noteids as $n) {
    $notes[] = Note::loadNote($n)->toArray();
}

exitWithJson(["status" => "OK", "notes" => $notes]);