<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

$APIS = [
    "ping" => [
        "load" => "ping.php",
        "vars" => [
        ]
    ],
    "getnotes" => [
        "load" => "getnotes.php",
        "vars" => [
        ]
    ],
    "getnote" => [
        "load" => "getnote.php",
        "vars" => [
            "id" => "numeric"
        ]
    ],
    "savenote" => [
        "load" => "savenote.php",
        "vars" => [
            "id (optional)" => "/^[0-9]+$/",
            "text" => "string",
            "color (optional)" => "/^[a-fA-F0-9]{6}$/",
            "modified (optional)" => "string",
            "favorite (optional)" => "/^[0-1]+$/",
            "archived (optional)" => "/^[0-1]+$/"
        ]
    ]
];
